<div class="SearchSection">
  <div class="image">
  <h1 id="para1"><i>SEARCH TENDERS</i></h1>
</div>
</div>

<div class="container text-center" id="SearchPara">
  <div class="col-lg-12">
    <div class="row">
      <h4 class="col-lg-offset-2 col-lg-4">Keywords:</h4>
      <div class="col-lg-6">
      <input type="text" class="form-control" placeholder="Search by keywords..." id="box"  [(ngModel)]="searchText" />
    </div>  
    </div>
    </div>
    </div>
    <hr>
  <div class="container text-center">
  <table class="table table-bordered table-condensed table-striped" id='table' *ngIf="arrdata; else elseBlock">
   
    <tr><th style="text-align:center;" colspan=4>TENDERS DATA</th></tr>
       <tr>
          <th style="text-align:center;">LOCATION</th>
          <th style="text-align:center;width:10%;">DATE</th>
          <th style="text-align:center;">SUMMARY</th>
          <th style="text-align:center;width:10%;">DEADLINE</th>
        </tr>


    <tr *ngFor="let test of arrdata | filter :searchText">
        <td [innerHTML]="test.LOCATION | highlight: searchText"></td>
            <td [innerHTML]="test.DATE | highlight: searchText"></td>
                <td [innerHTML]="test.SUMMARY | highlight: searchText"></td>
                  <td [innerHTML]="test.DEADLINE | highlight: searchText"></td>
    </tr>
</table>
<ng-template #elseBlock>
  <p>Search Data By Keywords</p>
</ng-template>

  </div>







